<?php

// extended parameters for 
// ArtGallery module

/*
BUTTON
fullScreenButton Show/hide Full Screen button. Possible values: true, false.
navigationButtons Show/hide navigation buttons. Possible values: true,false.
slideshowButton Show/hide slideshow button. Possible values: true,false.
IMAGE
align Image alignment. Possible values:left, right, top,bottom, center
scaleMode Type of image scaling to the size of the visible area. Possible values: fit, crop, noScale
cornerRadius Image corners roundness degree
transitionEffect Type of image transition effect. Possible values: fade,zoom, pixel
useShadow Show/hide shadow of image. Possible values: true, false
THUMBNAIL
width Thumbnail width
height Thumbnail height
cornerRadius Degree of thumbnail roundness. Possible values: [0,90]
alpha Thumbnail transparency. Possible values: [0,100]
outlineColor Thumbnail outline color. Possible values: [0x000000,0xFFFFFF]
outlineColorOnRollOver Outline color of the thumbnail with the mouse pointer rolled over it. Possible values: [0x000000,0xFFFFFF]
outlineColorOnClick Active thumbnail outline color. Possible values:[0x000000, 0xFFFFFF]
useShadow Show/hide shadow of thumbnail. Possible values:true, false
usePreview Show/hide image preview element. Possible values:true, false
THUMBBAR
position Thumbnail position. Possible values: left, right, top, bottom
scrollSpeed Thumbnail scroll speed. Possible values: (0,infinity). Reasonable values: [5, 20]
CAPTION
position Position of image captions. Possible values: top, bottom
bgAlpha Background transparency of captions. Possible values:[0,100]
color Color of image captions. Possible values: [0x000000,0xFFFFFF]
bgColor Background color of captions. Possible values:[0x000000, 0xFFFFFF]
fontName Font of image captions.
fontSize Font size of image captions. Possible values: FontSizes
// Preloder
alpha Preloader transparency. Possible values: [0,100]
usePreloader Show/hide preloader. Possible values: true, false
// Preview
width Width of the image preview element
height Height of the image preview element
alpha Preview transparency. Possible values: [0,100]
outlineColor Preview outline color. Possible values: [0x000000,0xFFFFFF]
cornerRadius Degree of preview roundness. Possible values: [0, 90]
useShadow Show/hide shadow of preview. Possible values: true,false
// Slideshow
start Enables/Disables slide show mode
delay Image display duration in Slideshow mode (in seconds).
Possible values: (0,infinity)
loop Loop/unloop image display in automatic mode if all
images are shown. Possible values: true, false
stopAutoOnClick Possible values: true, false

*/

/*
<buttons fullScreenButton="true" navigationButtons="true" slideshowButton="true" />
<image align="center" cornerRadius="0" scaleMode="fill" transitionEffect="fade" useShadow="true"/>
<thumbnail width="60" height="40" cornerRadius="0" alpha="70" outlineColor="0xFFFFFF" outlineColorOnRollOver="0xFFFFFF" outlineColorOnClick="0x8B0000" useShadow="true" usePreview="true"/>
<thumbBar scrollSpeed="10" position="bottom"/>
<preview  alpha="100" width="200" height="100" outlineColor="0xFFFFFF" useShadow="true" cornerRadius="0"/>
<caption position="bottom" bgAlpha="30" color="0xFFFFFF" bgColor="0x000000" fontName="Verdana" fontSize="12"/>
<slideshow start="false" delay="3" loop="true" stopAutoOnClick="true"/>
<preloader alpha="100" usePreloader="true" />
<sounds onRollOver="sounds/over.mp3" onClick="" />

*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$Imagealign = array(  l10n('ArtG_left'), l10n('ArtG_right'), l10n('ArtG_top'), l10n('ArtG_bottom'), l10n('ArtG_center'));
$ImagescaleMode = array( l10n('ArtG_fit'), l10n('ArtG_crop'), l10n('ArtG_noScale'));

$ImagetransitionEffect = array( l10n('ArtG_fade'), l10n('ArtG_zoom'),  l10n('ArtG_pixel'));
$Thumbbarposition = array( l10n('ArtG_left'), l10n('ArtG_right'), l10n('ArtG_top'), l10n('ArtG_bottom'));
$Captionposition = array( l10n('ArtG_top'), l10n('ArtG_bottom'));

// default values
if (!isset($ext_datas)) $ext_datas = array(
// Button
'fullScreenButton' 		=> true,
'navigationButtons' 	=> true,
'slideshowButton' 		=> true,
// Image
'Imagealign'					=> 5,
'ImagescaleMode'				=> 1,
'ImagecornerRadius' 			=> '0',
'ImagetransitionEffect' 		=> 1,
'ImageuseShadow' 			=> true,
// Thumbnail
'Thumbnailwidth' 				=> "60",
'Thumbnailheight' 				=> "40",
'ThumbnailcornerRadius' 			=> "0",
'Thumbnailalpha' 				=> "70",
'ThumbnailoutlineColor' 			=> "#FFFFFF",
'ThumbnailoutlineColorOnRollOver' => "#FFFFFF",
'ThumbnailoutlineColorOnClick' 	=> "#8B0000",
'ThumbnailuseShadow' 			=> true,
'ThumbnailusePreview' 			=> true,
//Thumbbar
'Thumbbarposition'				=> 4,
'ThumbbarscrollSpeed' 			=> "10",
// Caption
'Captionposition' 			=> 2,
'CaptionbgAlpha' 				=> "30",
'Captioncolor' 				=> "#FFFFFF",
'CaptionbgColor' 				=> "#000000",
'CaptionfontName' 				=> "Verdana",
'CaptionfontSize' 				=> "12",
// Preloader
'Preloaderalpha' 				=> "100",
'PreloaderusePreloader' 			=> true,
// Preview
'Previewwidth' 				=> '100',
'Previewheight' 				=> '200',
'Previewalpha' 				=> '100',
'PreviewoutlineColor' 				=> '#FFFFFF',
'PreviewcornerRadius' 				=> '0',
'PreviewuseShadow' 				=> true,
//Slideshow
'Slideshowstart' 				=> false,
'Slideshowdelay' 				=> "3",
'Slideshowloop'					=> true,
'SlideshowstopAutoOnClick'		=> true,


);

// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
	
		if ($key == "fullScreenButton" or $key == "navigationButtons" or $key == "slideshowButton" 
			or $key == "ImageuseShadow" or $key == "ThumbnailuseShadow" or $key == "ThumbnailusePreview"
			or $key == "PreloaderusePreloader" or $key == "PreviewuseShadow" or $key == "Slideshowstart" 
			or $key == "Slideshowloop" or $key == "SlideshowstopAutoOnClick")
			$ext_datas[$key] = isset($_POST['ArtG_'.$key]);
		else
			$ext_datas[$key] = $_POST['ArtG_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "fullScreenButton" or $key == "navigationButtons" or $key == "slideshowButton" 
		or $key == "ImageuseShadow" or $key == "ThumbnailuseShadow" or $key == "ThumbnailusePreview"
		or $key == "PreloaderusePreloader" or $key == "PreviewuseShadow" or $key == "Slideshowstart" 
		or $key == "Slideshowloop" or $key == "SlideshowstopAutoOnClick")
		$template->assign(array( 'ArtG_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
		
	elseif ($key == "Imagealign")
	{
		$i=1;
		foreach ( $Imagealign as $order ) //on parcours le tableau 
		{
			$template->append('ArtG_Imagealign',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['Imagealign'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "ImagescaleMode")
	{
		$i=1;
		foreach ( $ImagescaleMode as $order ) //on parcours le tableau 
		{
			$template->append('ArtG_ImagescaleMode',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['ImagescaleMode'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "ImagetransitionEffect")
	{
		$i=1;
		foreach ( $ImagetransitionEffect as $order ) //on parcours le tableau 
		{
			$template->append('ArtG_ImagetransitionEffect',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['ImagetransitionEffect'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "Thumbbarposition")
	{
		$i=1;
		foreach ( $Thumbbarposition as $order ) //on parcours le tableau 
		{
			$template->append('ArtG_Thumbbarposition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['Thumbbarposition'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "Captionposition")
	{
		$i=1;
		foreach ( $Captionposition as $order ) //on parcours le tableau 
		{
			$template->append('ArtG_Captionposition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['Captionposition'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'ArtG_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));



$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>